const controllerify = passedController => async (req, res) => {
    const mapParams = Object.keys(req.params).map(key => req.params[key]);
    const argsToPass = [...mapParams, req, res];
    const execute = await passedController(...argsToPass);

    if (execute.constructor.name === 'ServerResponse') return;

    switch (typeof execute) {
        case 'object':
            res.json(execute);
            break;

        case 'string':
            res.send(execute);
            break;

        case 'number':
            res.status(execute);
            break;

        default:
            break;
    }
};

module.exports = {
    controllerify
};
