const Router = require('../router');
const Controller = require('./controller');
const { middleware } = require('../utils/fakes');

const AppRouter = new Router();
AppRouter.get('/get/:id', Controller.getUser);
AppRouter.get('/got', Controller.getPlainText);

AppRouter.group('/prefix', middleware, prefix => {
    prefix.get('/test', Controller.getUser);
    prefix.get('/test2', Controller.getUser);
    prefix.group('/another', [middleware], another => {
        another.get('/one', Controller.getUser);
    });
});

/*

// Could be used like this as well:

AppRouter.group('/prefix', middleware, function() {
    this.get('/test', controller);
    this.get('/test2', controller);
    this.group('/another', [middleware], function() {
        this.get('/one', controller);
    });
});

*/

/*

// Could be used like this as well:

const prefix = AppRouter.group('/prefix', middleware);
prefix.get('/test', controller);
prefix.get('/test2', controller);

const another = prefix.group('/another');
another.get('/one', controller);

*/

module.exports = AppRouter;
