const chai = require('chai');
const Router = require('../router');
const { controllerify } = require('../controller');

const { expect } = chai;

const AppRouter = new Router();

describe('Controllerify', function() {
    it('Should call res.json if contoller returns object', function(done) {
        controllerify(() => ({ status: 'ok' }))(
            {
                params: []
            },
            {
                json: () => {
                    done();
                }
            }
        );
    });

    it('Should call res.send if contoller returns object', function(done) {
        controllerify(() => 'test')(
            {
                params: []
            },
            {
                send: () => {
                    done();
                }
            }
        );
    });

    it('Should call res.status if contoller returns object', function(done) {
        controllerify(() => 200)(
            {
                params: []
            },
            {
                status: () => {
                    done();
                }
            }
        );
    });
});
