const chai = require('chai');
const Router = require('../router');
const Model = require('../model');

const { expect } = chai;

class Test extends Model {}
const instance = new Test();

describe('Model', function() {
    it('Should have hasOne', function(done) {
        expect(!!instance.hasOne).to.be.true;
        done();
    });

    it('Should have hasMany', function(done) {
        expect(!!instance.hasMany).to.be.true;
        done();
    });

    it('Should have belongsTo', function(done) {
        expect(!!instance.belongsTo).to.be.true;
        done();
    });

    it('Should have belongsToMany', function(done) {
        expect(!!instance.belongsToMany).to.be.true;
        done();
    });

    it('Should map properties', function(done) {
        const testing = new Test({
            property: 'value'
        });

        expect(testing.property).to.be.equal('value');
        testing.property = 'value2';
        expect(testing.property).to.be.equal('value2');

        done();
    });
});
